{"title":"Create unitsOfMeasure (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_create_unitsofmeasure/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_unitsofmeasure, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_unitsofmeasure","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Creates a unit of measure object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create unitsOfMeasure (v1.0)","slug":"create-unitsofmeasure-v10","at":0,"chars":1621},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":85,"chars":215},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":300,"chars":109},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":409,"chars":101},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":510,"chars":136},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":646,"chars":660},{"level":2,"title":"Related information","slug":"related-information","at":1306,"chars":315}],"text":"# Create unitsOfMeasure (v1.0)\nCreate a units of measure object in Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/unitsOfMeasure\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body (v1.0)\nIn the request body, supply a JSON representation of a unitsOfMeasure object.\n## Response (v1.0)\nIf successful, this method returns ```201 Created``` response code and a unitsOfMeasure object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v1.0/companies({id})/unitsOfMeasure\nContent-type: application/json\n\n{\n  \"code\": \"PCS\",\n  \"displayName\": \"Piece\",\n  \"internationalStandardCode\": \"EA\"\n}\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n  \"id\": \"id-value\",\n  \"code\": \"PCS\",\n  \"displayName\": \"Piece\",\n  \"internationalStandardCode\": \"EA\",\n  \"lastModifiedDateTime\": \"2017-03-15T01:21:09.563Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nUnits of Measure<../resources/dynamics_unitsofmeasure>\nGet Units of Measure<dynamics_unitsofmeasure_get>\nUpdate Units of Measure<dynamics_unitsofmeasure_update>\nDelete Units of Measure<dynamics_unitsofmeasure_delete>"}